Bug 1258743 - (CVE-2015-5242) CVE-2015-5242 swiftonfile: use of insecure Python pickle for metadata serialization and storage
CVE-2015-5242 swiftonfile: use of insecure Python pickle for metadata seriali...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151020,repo...
: Security
Depends On: 1258752
Blocks: 1257505
  Show dependency treegraph
 
Reported: 2015-09-01 03:40 EDT by Siddharth Sharma
Modified: 2015-10-21 00:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way swiftonfile (gluster-swift) serialized and stored metadata on disk by using Python's pickle module. A remote, authenticated user could use this flaw to execute arbitrary code on the storage node.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 00:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1918 normal SHIPPED_LIVE Important: swiftonfile security update 2015-10-20 18:20:32 EDT

  None (edit)
Description Siddharth Sharma 2015-09-01 03:40:18 EDT
A flaw was found in the way swiftonfile (gluster-swift) serializes and stores metadata on disk by using Python's pickle module (https://docs.python.org/2/library/pickle.html). Exploiting this flaw causes remote code execution of arbitrary code on the storage node.
Comment 3 errata-xmlrpc 2015-10-20 14:20:46 EDT
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6
  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2015:1918 https://rhn.redhat.com/errata/RHSA-2015-1918.html

Note You need to log in before you can comment on or make changes to this bug.